%define anolis_release 1
%global _docdir_fmt %{name}

Name:           python-sphinx-autobuild
Version:        2021.3.14
Release:        %{anolis_release}%{?dist}
Summary:        Autobuild a Sphinx directory when a change is detected

License:        MIT
URL:            https://github.com/executablebooks/sphinx-autobuild
Source0:        %{pypi_source sphinx-autobuild}

BuildArch:      noarch

BuildRequires:  help2man
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist colorama}
BuildRequires:  %{py3_dist flit-core}
BuildRequires:  %{py3_dist livereload}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist wheel}

%description
Rebuild Sphinx documentation on changes, with live-reload in the browser.

%package     -n python3-sphinx-autobuild
Summary:        Autobuild a Sphinx directory when a change is detected

%description -n python3-sphinx-autobuild
Rebuild Sphinx documentation on changes, with live-reload in the browser.

%package     -n python3-sphinx-autobuild-doc
# The content is MIT.  Other licenses are due to files copied in by Sphinx.
# _static/_sphinx_javascript_frameworks_compat.js: BSD-2-Clause
# _static/alabaster.css: BSD-3-Clause
# _static/basic.css: BSD-2-Clause
# _static/custom.css: BSD-3-Clause
# _static/doctools.js: BSD-2-Clause
# _static/documentation_options.js: BSD-2-Clause
# _static/file.png: BSD-2-Clause
# _static/jquery*.js: MIT
# _static/language_data.js: BSD-2-Clause
# _static/minus.png: BSD-2-Clause
# _static/plus.png: BSD-2-Clause
# _static/searchtools.js: BSD-2-Clause
# _static/underscore*.js: MIT
# genindex.html: BSD-2-Clause
# search.html: BSD-2-Clause
# searchindex.js: BSD-2-Clause
License:        MIT AND BSD-2-Clause AND BSD-3-Clause
Summary:        Documentation for sphinx-autobuild
Provides:       bundled(js-jquery)
Provides:       bundled(js-underscore)

%description -n python3-sphinx-autobuild-doc
Documentation for sphinx-autobuild.

%prep
%autosetup -n sphinx-autobuild-%{version}

%build
%pyproject_wheel
rst2html --no-datestamp NEWS.rst NEWS.html

# Build the documentation
mkdir html
sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}

%install
%pyproject_install
%pyproject_save_files sphinx_autobuild

# Install a man page
export PYTHONPATH=%{buildroot}%{python3_sitelib}
mkdir -p %{buildroot}%{_mandir}/man1
help2man -N %{buildroot}%{_bindir}/sphinx-autobuild > \
  %{buildroot}%{_mandir}/man1/sphinx-autobuild.1

%check
%pytest

%files -n python3-sphinx-autobuild -f %{pyproject_files}
%license LICENSE
%{_bindir}/sphinx-autobuild
%{_mandir}/man1/sphinx-autobuild.1*

%files -n python3-sphinx-autobuild-doc
%doc AUTHORS NEWS.html README.md
%doc html

%changelog
* Tue May 23 2023 Funda Wang <fundawang@yeah.net> - 2021.3.14-1
- Import package for anolis 23
